import { html as n } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, v = Object.getOwnPropertyDescriptor, c = (l, r, o, t) => {
  for (var e = t > 1 ? void 0 : t ? v(r, o) : r, i = l.length - 1, p; i >= 0; i--)
    (p = l[i]) && (e = (t ? p(r, o, e) : p(e)) || e);
  return t && e && m(r, o, e), e;
};
let s = class extends h {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--userAddLarge", this.class = "c-pieIcon c-pieIcon--userAddLarge", this.name = "IconUserAddLarge";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--userAddLarge"><path d="M12.5 14.688a4.812 4.812 0 1 0-4.812-4.813 4.821 4.821 0 0 0 4.812 4.813Zm0-7.876a3.062 3.062 0 1 1 0 6.125 3.062 3.062 0 0 1 0-6.124Zm7.359 11.612L18.467 19.5a4.734 4.734 0 0 0-3.788-1.75h-4.375a4.497 4.497 0 0 0-4.288 2.625l-.673 1.75H3.488l.875-2.371A6.247 6.247 0 0 1 10.32 16h4.375a6.535 6.535 0 0 1 5.163 2.424Zm7.516 5.451h-3.5v3.5h-1.75v-3.5h-3.5v-1.75h3.5v-3.5h1.75v3.5h3.5v1.75Z"></path></svg>`;
  }
};
c([
  a({ type: String, reflect: !0 })
], s.prototype, "size", 2);
c([
  a({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = c([
  f("icon-user-add-large")
], s);
export {
  s as IconUserAddLarge
};
